org.apache.sling.performance

## Class ParameterizedTestList

- java.lang.Object
- - org.apache.sling.performance.ParameterizedTestList

    public class ParameterizedTestList
    extends Object

Represents the object that will be returned by the method in which a new PerformanceTestSuite is created

### Field Summary

Fields
`static String` `TEST_CASE_ONLY`

### Constructor Summary

Constructors
Constructor and Description
`ParameterizedTestList()`

### Method Summary

Methods
`void` `addParameter(String key, String value)`
`void` `addParameterObject(String key, Object parameterObject)`
`void` `addTestObject(Object testObject)`
`Map<String,String>` `getParameters()`
`Map<String,Object>` `getParametersObjects()`
`List<Object>` `getTestObjectList()`
`String` `getTestSuiteName()`
`void` `setTestSuiteTitle(String testSuiteTitle)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### TEST_CASE_ONLY

    public static final String TEST_CASE_ONLY

See Also:
  Constant Field Values

### Constructor Detail

#### ParameterizedTestList

    public ParameterizedTestList()

### Method Detail

#### getParametersObjects

    public Map<String,Object> getParametersObjects()

#### addParameterObject

    public void addParameterObject(String key,
                          Object parameterObject)

#### getParameters

    public Map<String,String> getParameters()

#### addParameter

    public void addParameter(String key,
                    String value)

#### getTestObjectList

    public List<Object> getTestObjectList()

#### addTestObject

    public void addTestObject(Object testObject)

#### getTestSuiteName

    public String getTestSuiteName()

#### setTestSuiteTitle

    public void setTestSuiteTitle(String testSuiteTitle)